@import "src/styles/scss/partials/mixins";
@import "src/styles/scss/partials/variables";

.root {
    width: 30%;
    padding: 0;
    min-width: 230px;
    max-width: 400px;
    height: fit-content;
    padding-bottom: var(--spacing-large);

    &__title {
        width: 100%;
        padding: var(--spacing-large) var(--spacing-x-large);
        border-bottom: 1px solid var(--gray-200);
    }
}
.backDrop {
    display: none;
}

.filterIcon {
    display: none;
}

@include down($screen-sm-end) {
    .root {
        order: 1;
        position: fixed;
        right: -300px;
        min-height: 100vh;
        top: 0;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
        border-right: unset;
        border-top: unset;
        border-bottom: unset;
        display: flex;
        justify-content: flex-start;
        width: 300px;
        z-index: 2;
        transition: right 0.3s ease-in-out 0s;

        &__open {
            right: 0;
        }
    }
    .backDrop {
        display: flex;
        min-width: 100vw;
        min-height: 100vh;
        background-color: var(--black);
        position: fixed;
        top: 0;
        left: 0;
        opacity: 0;
        z-index: -1;
        transition: all 0.3s ease-in-out 0s;

        &__open {
            opacity: 0.5;
            z-index: 1;
        }
    }

    .filterIcon {
        display: flex;
        max-width: 40px;
        max-height: 40px;
        padding: var(--spacing-small);
        border: 1px solid var(--gray-300);
        border-radius: 100%;
        background-color: var(--white);
        cursor: pointer;
        * {
            fill: var(--gray-600);
        }
    }
}
